@import "../../styles/variables";

zs-case-registration {
  width: 100%;
  margin: 0 auto;
  display: flex;
  transition: top $body-transition-animation;
  display: flex;
  flex-flow: column nowrap;

  .form-field-meta,
  .form-field-control-wrapper {
    padding: 0;
  }

  .vorm-field-item {
    padding: 1.5rem 0;
    border-bottom: 1px solid rgba(160, 160, 160, .2);
  }

  [step-name="file"] {
    >fieldset>vorm-fieldset>fieldset>.vorm-field-list>.vorm-field-item {
      border-bottom: none;
      padding: 0;

      >vorm-field {
        >.form-field-meta {
          display: none;
        }

        >.form-field-control-wrapper {
          width: 100%;

          >.vorm-field-add-button,
          >.value-list>.value-item>vorm-form-field+.vorm-clear {
            display: none;
          }
        }
      }
    }
  }

  vorm-form-field .vorm-field-item {
    padding: 1.5rem 0;
  }

  vorm-field vorm-field .value-item {
    padding: 0;
  }

  .vorm-field-item[data-name] .filename-control {
    display: flex;
    align-items: center;

    >input {
      display: flex;
      max-width: 300px;
    }

    >.file-extension {
      display: flex;
      align-items: center;
      padding-left: 0.5rem;
      padding-right: 0.5rem;
    }

    >zs-icon {
      color: red;
      font-size: 1.4rem;
    }
  }

  vorm-file-edit+.vorm-clear {
    display: none;
  }

  .value-item .ng-not-empty,
  .vorm-control .not-empty,
  .vorm-control.not-empty {
    +.vorm-clear {
      display: block;
    }
  }

  fieldset {
    min-width: 0;
  }

  [data-type="text_block"] .form-field-control-wrapper {
    width: 100%;
  }
}

[data-inherits^="url"] {
  a.vorm-display {
    word-wrap: break-word;
  }
}

[data-inherits^="number valuta"] {
  .delegate-value-display {
    display: flex;
  }

  zs-btw-display {
    width: 130px;
    display: flex;
    margin-left: auto;

    span {
      display: flex;
      word-break: break-word;
    }
  }
}

.case-register-header {
  background: #EDEDED;
  padding: 0 1.5rem 0 1rem;
  z-index: 1;
  transition: box-shadow 0.25s ease-out;
}

.case-register-body {
  display: flex;
  overflow-y: auto;
}

.case-register-preview {
  display: none;
  width: 50%;
}

.case-register-form {
  flex-grow: 1;
  overflow-y: auto;

  &.fade-overflow-top+.case-register-header {
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.35);
  }
}

.case-register-summary {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.case-register-summary-close-and-casetype {
  display: flex;
  align-items: center;
  margin: 1rem 0;
}

.btn-flat[data-name="registration-cancel-button"] {
  color: #555;
  margin-right: .5rem;

  &:hover,
  &:focus {
    color: #000;
  }
}

.case-register-casetype-title-button {
  @include button-reset();
}

.case-register-casetype-title-button-inner {
  display: flex;
  align-items: center;

  zs-icon {
    color: #555;
  }
}

.case-register-casetype-title {
  font-size: 1.467rem;
  //margin-bottom:.75rem;
  margin: 0 .5rem 0 0;
}

.case-register-ignore-required-fields {
  margin: 0 0 1.5rem 3.3rem;
}

.case-register-detail {
  margin-left: 3.3rem;
  padding-bottom: .5rem;
}

.case-register-detail-list {
  margin: 0;
  display: flex;
  flex-wrap: wrap;
}

.case-register-detail-list-item {
  min-width: 120px;
  margin-bottom: 1rem;
}

.case-register-detail-list-item-label {
  font-weight: 500;
  font-size: 0.867rem;
  color: #999;
}

.case-register-detail-list-item-value {
  font-size: 1.067rem;
}

.case-register-breadcrumb,
[name="case-register-group-form"] {
  max-width: 65rem;
  margin: 0 auto;
  padding: 0 2rem;
}

.case-register-breadcrumb {
  overflow: hidden;
  list-style: none;
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  -webkit-flex-flow: row wrap;
  flex-flow: row wrap;
  -ms-flex-wrap: wrap;
  -ms-flex-direction: row;
  justify-content: flex-start;
  margin-bottom: 1.5rem;
}

a[name="case-register-top"] {
  display: flex;
  margin-bottom: 1.75rem;
}

.case-register-breadcrumb-item {
  background: #ededed;
  padding: 5px 15px 5px 33px;
  height: 30px;
  line-height: 30px;
  -ms-flex: 1 0 auto;
  margin-top: 3px;
  flex-grow: 1;
  color: black;
  font-size: 1em;
  text-align: center;
  position: relative;
  box-sizing: content-box;

  >zs-icon {
    color: $primary-color;
  }

  a {
    color: black;
  }

  a[href] {
    color: $primary-color;
    text-decoration: underline;
  }

  &:after,
  &:before {
    right: -38px;
    top: 50%;
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
    z-index: 1;
  }

  &:after {
    border-color: rgba(143, 173, 182, 0);
    border-left-color: #ededed;
    border-width: 19px;
    margin-top: -19px;
  }

  &:last-child:after {
    border: none;
  }

  &:before {
    border-color: rgba(233, 242, 244, 0);
    border-left-color: #fff;
    border-width: 23px;
    margin-top: -23px;
    right: -46px;
  }

  &.active {
    background: $primary-color;

    &:after {
      border-left-color: $primary-color;
    }

    a[href] {
      color: #fff;
      text-decoration: none;
    }

    >zs-icon {
      color: white;
    }
  }

  &[data-name="file"] {
    align-items: center;
    display: flex;

    zs-icon {
      font-size: 1.3rem;
      margin-right: 8px;
    }
  }
}

zs-case-registration .value-validity-required {
  display: block;
}

[name="case-register-group-form"] {
  >fieldset {
    margin-bottom: 2rem;
  }

  .form-actions {
    padding-top: 0;
    padding-right: 0;
    padding-left: 0;
    padding-bottom: 3rem;

    .btn-flat {
      margin-right: 8px;
    }
  }
}

zs-case-pause-application {
  display: flex;
  background: $darker-grey;
  color: #fff;
  border-radius: $border-radius;
  padding: .75rem .75rem .75rem 1.5rem;
  box-shadow:#{$shadow};
  font-size: 1.067rem;
  margin: 0 0 2rem;

  ul,
  ol {
    margin-left: 20px;

    li {
      padding-left: 10px;
    }
  }

  ul li {
    list-style: disc;
  }

  ol li {
    list-style: decimal;
  }

  a {
    color: $accent-color;
    text-decoration: underline;

    &:hover {
      color: $accent-color;
    }
  }
}

.case-pause-application-message {
  padding: 7px 0;
}

.case-pause-application-title {
  display: flex;
  align-items: flex-start;
  width: 100%;

  zs-icon {
    font-size: 1.75rem;
    margin-right: 1.5rem;
  }

  .btn-flat {
    color: $accent-color;

    &:hover {
      background-color: transparent;
      text-decoration: underline;
    }
  }
}

.case-pause-application {
  margin-left: auto;
}

.case-register-group-form-message {
  padding: 0.5rem 1rem .4rem;
  background-color: $light-yellow;
  margin-bottom: 0;
  font-size: 1em;
  display: flex;
  align-items: center;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.45);
  border-radius: 3px;
  margin-bottom: 1.5rem;

  zs-icon {
    font-size: 1.4rem;
    margin-right: 8px;
  }
}

@media #{$medium-large-and-up} {
  .case-register-header {
    .case-register-summary {
      align-items: center;
      flex-direction: row;
    }

    .case-register-summary-close-and-casetype {
      flex-grow: 1;
      margin: 1rem 0;
    }

    .case-register-ignore-required-fields {
      margin: 0;
    }
  }
}

@media #{$medium-only} {
  .case-register-body {
    .case-register-form {
      vorm-field {
        display: flex;
      }

      .form-field-meta {
        min-width: 40%;
        width: 40%;
        padding: 0 2% 0 0;
      }

      .form-field-control-wrapper {
        flex-grow: 1;

        zs-truncate-html {
          p {
            text-align: justify;
          }
        }
      }
    }
  }
}

@media #{$large-and-up} {
  .case-register-preview {
    display: block;
  }

  .case-register-body {
    .case-register-form:not(.case-register-form-collapsed) {
      vorm-field {
        display: flex;
      }

      .form-field-meta {
        min-width: 40%;
        width: 40%;
        padding: 0 2% 0 0;
      }

      .form-field-control-wrapper {
        flex-grow: 1;

        zs-truncate-html {
          p {
            text-align: justify;
          }
        }
      }
    }

    min-height: calc(100% - 66px);
  }

  .case-register-body-small {
    min-height: calc(100% - 66px - 43px);
  }
}

zs-pdf-viewer {
  height: 100%
}